scala.tools.nsc.backend.icode

# Opcodes

#### trait Opcodes extends AnyRef

The ICode intermediate representation. It is a stack-based representation, very close to the JVM and .NET. It uses the erased types of Scala and references Symbols to refer named entities in the source files.

Self Type
  ICodes
Source
  Opcodes.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ICodes, icodes
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Opcodes
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class Instruction extends Cloneable

   This class represents an instruction of the intermediate code.

   This class represents an instruction of the intermediate code. Each case subclass will represent a specific operation.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Opcodes to any2stringadd[Opcodes] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Opcodes, B)

   Implicit information
     This member is added by an implicit conversion from Opcodes to ArrowAssoc[Opcodes] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final val arilogCat: Int(4)

7. #### final val arraysCat: Int(9)

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### final val castsCat: Int(5)

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final val constCat: Int(3)

12. #### def ensuring(cond: (Opcodes) ⇒ Boolean, msg: ⇒ Any): Opcodes

    Implicit information
      This member is added by an implicit conversion from Opcodes to Ensuring[Opcodes] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (Opcodes) ⇒ Boolean): Opcodes

    Implicit information
      This member is added by an implicit conversion from Opcodes to Ensuring[Opcodes] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): Opcodes

    Implicit information
      This member is added by an implicit conversion from Opcodes to Ensuring[Opcodes] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): Opcodes

    Implicit information
      This member is added by an implicit conversion from Opcodes to Ensuring[Opcodes] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final val fldsCat: Int(7)

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Opcodes to StringFormat[Opcodes] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final val jumpsCat: Int(10)

25. #### final val localsCat: Int(1)

26. #### final val mthdsCat: Int(8)

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final val objsCat: Int(6)

31. #### object opcodes

32. #### final val retCat: Int(11)

33. #### final val stackCat: Int(2)

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (Opcodes, B)

    Implicit information
      This member is added by an implicit conversion from Opcodes to ArrowAssoc[Opcodes] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Opcodes to any2stringadd[Opcodes]

### Inherited by implicit conversion StringFormat from Opcodes to StringFormat[Opcodes]

### Inherited by implicit conversion Ensuring from Opcodes to Ensuring[Opcodes]

### Inherited by implicit conversion ArrowAssoc from Opcodes to ArrowAssoc[Opcodes]

### Ungrouped